Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTextView Class Reference
[obsolete]

The TQTextView class provides a rich-text viewer. More...

`#include <ntqtextview.h>`

Inherits TQTextEdit.

List of all member functions.

## Properties

- bool modified - whether the text view's contents have been modified (read only)
- bool overwriteMode - whether new text overwrites or pushes aside existing text (read only)
- bool readOnly - whether the text view's contents are read only (read only)
- int undoDepth - the number of undoable steps (read only)
- bool undoRedoEnabled - whether undo and redo are enabled (read only)

## Detailed Description

The TQTextView class provides a rich-text viewer.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

This class wraps a read-only TQTextEdit. Use a TQTextEdit instead, and call setReadOnly(TRUE) to disable editing.

## Property Documentation

### bool modified

This property holds whether the text view's contents have been modified.

### bool overwriteMode

This property holds whether new text overwrites or pushes aside existing text.

### bool readOnly

This property holds whether the text view's contents are read only.

### int undoDepth

This property holds the number of undoable steps.

### bool undoRedoEnabled

This property holds whether undo and redo are enabled.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.